- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moHCMoveLoopExpl< M > Class Template Reference

Iterative explorer used by a moHC. More...

`#include <moHCMoveLoopExpl.h>`

Inheritance diagram for moHCMoveLoopExpl< M >:

List of all members.

## Public Member Functions
| moHCMoveLoopExpl (moMoveInit< M > &__move_init, moNextMove< M > &__next_move, moMoveIncrEval< M > &__incr_eval, moMoveSelect< M > &__move_select)
| Constructor.
void | operator() (const EOT &__old_sol, EOT &__new_sol)
| Procedure which launches the explorer.
## Private Types
typedef M::EOType | EOT
| Alias for the type.
typedef M::EOType::Fitness | Fitness
| Alias for the fitness.
## Private Attributes
moMoveInit< M > & | move_init
| Move initialiser.
moNextMove< M > & | next_move
| Neighborhood explorer.
moMoveIncrEval< M > & | incr_eval
| (generally) Efficient evaluation.
moMoveSelect< M > & | move_select
| Move selector.

## Detailed Description

### template<class M>
class moHCMoveLoopExpl< M >

Iterative explorer used by a moHC.

Definition at line 48 of file moHCMoveLoopExpl.h.

## Constructor & Destructor Documentation

template<class M>

moHCMoveLoopExpl< M >::moHCMoveLoopExpl | ( | moMoveInit< M > & | __move_init,
|  | moNextMove< M > & | __next_move,
|  | moMoveIncrEval< M > & | __incr_eval,
|  | moMoveSelect< M > & | __move_select |
| ) |  |  | `[inline]`

Constructor.

All the boxes have to be specified.

Parameters:

  | __move_init | the move initialiser.
  | __next_move | the neighborhood explorer.
  | __incr_eval | (generally) efficient evaluation function.
  | __move_select | the move selector.

Definition at line 68 of file moHCMoveLoopExpl.h.

## Member Function Documentation

template<class M>

void moHCMoveLoopExpl< M >::operator() | ( | const EOT & | __old_sol,
|  | EOT & | __new_sol |
| ) |  |  | `[inline, virtual]`

Procedure which launches the explorer.

The exploration starts from an old solution and provides a new solution.

Parameters:

  | __old_sol | the current solution.
  | __new_sol | the new_sol (result of the procedure).

Implements eoBF< const M::EOType &, M::EOType &, void >.

Definition at line 84 of file moHCMoveLoopExpl.h.

References moHCMoveLoopExpl< M >::incr_eval, moHCMoveLoopExpl< M >::move_init, moHCMoveLoopExpl< M >::move_select, and moHCMoveLoopExpl< M >::next_move.

The documentation for this class was generated from the following file:

- moHCMoveLoopExpl.h